﻿@model ProjectUni.Models.Videos
@using ProjectUni.Models;
@{
    ViewBag.Title = "Create";
    //Layout = "~/Views/Shared/_AdminLayout.cshtml";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";

}
@{ 
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var em = ob.Email;
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h2 style="color:white;">Create</h2>
            <h4 style="color:white">Videos</h4>
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">

                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="form-group">
                        @Html.LabelFor(model => model.T_ID, "T_ID", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("T_ID", null, htmlAttributes: new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.T_ID, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control", placeholder = "Video Name" } })
                            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.URL, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.URL, new { htmlAttributes = new { @class = "form-control", placeholder = "Video URL" } })
                            @Html.ValidationMessageFor(model => model.URL, "", new { @class = "text-danger" })
                        </div>
                    </div>



                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Create" class="btn btn-default" />
                        </div>
                    </div>
                </div>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>

        </div>
    </div>
</div>
